> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new User

> This endpoint creates a new `User` associating it with the provided email address.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json post /api/v1/auth/signup
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/auth/signup:
    post:
      tags:
        - Authentication
      summary: Create a new User
      description: >-
        This endpoint creates a new `User` associating it with the provided
        email address.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - authEmail
              properties:
                authEmail:
                  type: string
                  format: email
                  description: Email address for the new user
                otp:
                  type: string
                  minLength: 6
                  maxLength: 6
                  description: >-
                    One-time password for email verification (optional during
                    transition period)
                marketingCampaign:
                  type: string
                  description: Marketing campaign identifier
                partnerId:
                  type: string
                  description: Optional ID of the partner that referred the user
      responses:
        '201':
          description: User was created successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - token
                  - hasSignedUp
                properties:
                  id:
                    type: string
                    description: Unique identifier of the created user
                  token:
                    type: string
                    description: JWT token for authentication
                  hasSignedUp:
                    type: boolean
                    description: Indicates if the user has completed signup
        '400':
          description: Invalid partner ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid partner ID
        '401':
          description: Invalid or expired OTP
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid or expired OTP
        '409':
          description: Email address or wallet address already registered
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Email address already registered or Wallet address already
                      associated with another account
        '422':
          description: Invalid request body
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid email format
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the server error
                    example: An unexpected error occurred
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````